# getSource

@InputFiles
@SkipWhenEmpty
@IgnoreEmptyDirectories
@PathSensitive(value = PathSensitivity.ABSOLUTE)
open fun getSource(): FileTree

Returns the source for this task, after the include and exclude patterns have been applied. Ignores source files which do not exist.

The PathSensitivity for the sources is configured to be ABSOLUTE. If your sources are less strict, please change it accordingly by overriding this method in your subclass.

#### Return

The source.